---
title: SVGAnimatedPoints
slug: Web/API/SVGAnimatedPoints
tags:
  - API
  - NeedsExample
  - Reference
  - SVG
  - SVG DOM
---
<div>{{APIRef("SVG")}}</div>

<h2 id="SVG_animated_points_interface">SVG animated points interface</h2>

<p>The <code>SVGAnimatedPoints</code> interface supports elements which have a {{ SVGAttr("points") }} attribute which holds a list of coordinate values and which support the ability to animate that attribute.</p>

<p>Additionally, the {{ SVGAttr("points") }} attribute on the original element accessed via the XML DOM (e.g., using the <code>getAttribute()</code> method call) will reflect any changes made to the <code>SVGAnimatedPoints.points</code> attribut.</p>

<h3 id="Interface_overview">Interface overview</h3>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Also implement</th>
   <td><em>None</em></td>
  </tr>
  <tr>
   <th scope="row">Methods</th>
   <td><em>None</em></td>
  </tr>
  <tr>
   <th scope="row">Properties</th>
   <td>
    <ul>
     <li>readonly {{ domxref("SVGPointList") }} <code>points</code></li>
     <li>readonly {{ domxref("SVGPointList") }} <code>animatedPoints</code></li>
    </ul>
   </td>
  </tr>
  <tr>
   <th scope="row">Normative document</th>
   <td><a class="external" href="http://www.w3.org/TR/SVG11/shapes.html#InterfaceSVGAnimatedPoints">SVG 1.1 (2nd Edition)</a></td>
  </tr>
 </tbody>
</table>

<h2 id="Properties">Properties</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th>Name</th>
   <th>Type</th>
   <th>Description</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><code>points</code></td>
   <td>{{ domxref("SVGPointList") }}</td>
   <td>Provides access to the base (i.e., static) contents of the {{ SVGAttr("points") }} attribute.</td>
  </tr>
  <tr>
   <td><code>animatedPoints</code></td>
   <td>{{ domxref("SVGPointList") }}</td>
   <td>Provides access to the current animated contents of the {{ SVGAttr("points") }} attribute. If the given attribute or property is being animated, contains the current animated value of the attribute or property. If the given attribute or property is not currently being animated, contains the same value as <code>points</code>.</td>
  </tr>
 </tbody>
</table>

<h2 id="Methods">Methods</h2>

<p>The <code>SVGAnimatedPoints</code> interface do not provide any specific methods.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGAnimatedPoints")}}</p>
